# Create_Request_As_Send_CoverLetter_Only

Create a request - Send Cover Letter Only.

`POST /v2/requests`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Requests
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Requests/Create_Request_As_Send_CoverLetter_Only/

## Description

Create a request - Send Cover Letter Only.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |

## Request Body

**Schema:** `RequestsSendCoverLetterOnly`

Requests Model

| Property | Type | Required | Description |
|---|---|---|---|
| `account_id` | integer | No | System Generated Account id Example: `16623`. |
| `client_id` | integer | No | System Generated Client id Example: `123`. |
| `cover_letter` | object[] | No | The cover letter used in the request. |
| `cover_letter_id` | integer | No | System Generated Cover Letter id Example: `9`. |
| `created` | string | No | DateTime of when the record was created. Example: `2017-10-26 12:41:48.377959`. |
| `customer` | CustomerRequests | No |  |
| `customer_id` | integer | No | System Generated Customer id Example: `7656`. |
| `delivery_method` | string | No | The delivery method of the request. Example: `Email`. |
| `email_address` | string | No |  Example: `test@test.com`. |
| `id` | integer | No | System Generated request id Example: `1`. |
| `modified` | string | No | DateTime of when the record was modified. Example: `2017-10-26 12:41:48.377959`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `RequestsSendCoverLetterOnly` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `RequestsSendCoverLetterOnly`

Requests Model

| Property | Type | Required | Description |
|---|---|---|---|
| `account_id` | integer | No | System Generated Account id Example: `16623`. |
| `client_id` | integer | No | System Generated Client id Example: `123`. |
| `cover_letter` | object[] | No | The cover letter used in the request. |
| `cover_letter_id` | integer | No | System Generated Cover Letter id Example: `9`. |
| `created` | string | No | DateTime of when the record was created. Example: `2017-10-26 12:41:48.377959`. |
| `customer` | CustomerRequests | No |  |
| `customer_id` | integer | No | System Generated Customer id Example: `7656`. |
| `delivery_method` | string | No | The delivery method of the request. Example: `Email`. |
| `email_address` | string | No |  Example: `test@test.com`. |
| `id` | integer | No | System Generated request id Example: `1`. |
| `modified` | string | No | DateTime of when the record was modified. Example: `2017-10-26 12:41:48.377959`. |

## Example Request

```bash
curl -X POST "https://sbx-api.certcapture.com/v2/v2/requests" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "account_id": 16623,
  "client_id": 123,
  "cover_letter_id": 9,
  "created": "2017-10-26 12:41:48.377959",
  "customer": {
    "address_line1": "123 Mocking Bird Lane",
    "address_line2": "Apt 2B",
    "alternate_id": "WA-00012",
    "attn_name": "Nick Diaz",
    "city": "Seattle",
    "client_id": "10327",
    "contact_name": "Bob Fetherman",
    "created": "2017-10-26 12:41:48.377959",
    "customer_number": "CC000012302",
    "email_address": "customers@email.com",
    "fax_number": "800-555-5555",
    "fein_number": "012345678",
    "id": 1,
    "is_bill": "false",
    "is_ship": "true",
    "is_vendor": "false",
    "last_transaction": "2020-12-12",
    "location_id": "1",
    "modified": "2017-10-26 12:41:48.377959",
    "name": "Bobs House of Fondue",
    "phone_number": "800-555-5555",
    "welcome_letter_status": "C",
    "zip": "98104"
  },
  "customer_id": 7656,
  "delivery_method": "Email",
  "email_address": "test@test.com",
  "id": 1,
  "modified": "2017-10-26 12:41:48.377959"
}'
```